<template>
  <div class="container">
    <h1 class="ecl-page-header-standardised ecl-page-header-standardised__title">{{ license.name }}</h1>

    <EcLink
      v-if="license.url"
      class="homepage"
      :href="license.url"
      type="default"
      icon="external"
    >
      Open Licence Homepage
    </EcLink>

    <div class="permission-terms mb-5">
      <h3>You are free to</h3>
      <hr>
      <div v-for="term in permissionTerms" :key="term.id">
        <h5>{{ term.title }}</h5>
        <p>{{ term.description }}</p>
      </div>
    </div>

    <div class="obligation-terms mb-5">
      <h3>You are obligated to</h3>
      <hr>
      <div v-for="term in obligationTerms" :key="term.id">
        <h5>{{ term.title }}</h5>
        <p>{{ term.description }}</p>
      </div>
    </div>

    <div class="comparable-licenses mb-5">
      <h3>Comparable licences</h3>
      <hr>
      <div class="comparable-licenses-links row">
        <EcLink v-for="license in comparableLicenses" :key="license" :href="license" type="default" class="col-6 col-sm-4 col-md-3 col-lg-2 mb-3">
          {{ license }}
        </EcLink>
      </div>
    </div>

  </div>
</template>

<script lang="ts">
import { PropType } from 'vue';
import { License } from '../utils/schema/license';

export default {
  props: {
    license: {
      type: Object as PropType<License>,
      required: true,
    }
  },
  computed: {
    permissionTerms() {
      return this.license.terms.filter(license => license.type === 'Permission');
    },
    obligationTerms() {
      return this.license.terms.filter(license => license.type === 'Obligation');
    },
    comparableLicenses() {
      return this.license.compatibleLicenses;
    }
  },
}
</script>

<style lang="scss" scoped>

.ecl-page-header-standardised__title {
  display: inline-block;
}

.homepage {
  float: right;
}

.hr {
  border: 2px solid black;
}
</style>